%global scl_name_base rust-toolset
%global scl_major 1
%global scl_minor 45
%global scl_name_version %{scl_major}.%{scl_minor}

%global scl %{scl_name_base}-%{scl_name_version}

%global scl_llvm llvm-toolset-10.0

%scl_package %scl

Summary:        Package that installs %scl
Name:           %scl_name
Version:        1.45.2
Release:        1%{?dist}
License:        ASL 2.0 or MIT

Requires:       %{scl_prefix}rust = %{version}
Requires:       %{scl_prefix}cargo = %{version}

BuildRequires:  scl-utils-build

%description
This is the main package for %scl Software Collection.

%package runtime
Summary: Package that handles %scl Software Collection.
Requires: scl-utils
Requires: %{scl_llvm}-runtime

%description runtime
Package shipping essential scripts to work with %scl Software Collection.

%package build
Summary: Package shipping basic build configuration
Requires: scl-utils-build

%description build
Package shipping essential configuration macros to build %scl Software Collection.

%prep
%setup -c -T

%install
%scl_install

cat >> %{buildroot}%{_scl_scripts}/enable << EOF
export PATH="%{_bindir}\${PATH:+:\${PATH}}"
export LD_LIBRARY_PATH="%{_libdir}\${LD_LIBRARY_PATH:+:\${LD_LIBRARY_PATH}}"
export MANPATH="%{_mandir}:\${MANPATH:-}"

source scl_source enable %{scl_llvm}
EOF

# This allows users to build packages using Rust Toolset.
cat >> %{buildroot}%{_root_sysconfdir}/rpm/macros.%{scl} << EOF
%%enable_rusttoolset%{scl_major}%{scl_minor} %%global ___build_pre %%{___build_pre}; source scl_source enable %{scl} || :
EOF

%files

%files runtime
%scl_files
%{_root_sysconfdir}/rpm/macros.%{scl}

%files build
%{_root_sysconfdir}/rpm/macros.%{scl}-config

%changelog
* Tue Aug 04 2020 Josh Stone <jistone@redhat.com> - 1.45.2-1
- Update to Rust and Cargo 1.45.2.

* Thu Jul 16 2020 Josh Stone <jistone@redhat.com> - 1.45.0-1
- Update to Rust and Cargo 1.45.0.

* Wed Jul 15 2020 Josh Stone <jistone@redhat.com> - 1.44.1-1
- Update to Rust and Cargo 1.44.1.

* Wed Jul 15 2020 Josh Stone <jistone@redhat.com> - 1.43.1-3
- Bump to llvm-toolset-10.0

* Wed Jul 15 2020 Josh Stone <jistone@redhat.com> - 1.43.1-2
- Rename to rust-toolset-1.45 for devtools-2020.4

* Thu Jun 04 2020 Josh Stone <jistone@redhat.com> - 1.43.1-1
- Update to Rust and Cargo 1.43.1.

* Wed Jun 03 2020 Josh Stone <jistone@redhat.com> - 1.42.0-1
- Update to Rust and Cargo 1.42.0.

* Tue Jun 02 2020 Josh Stone <jistone@redhat.com> - 1.41.1-2
- Rename to rust-toolset-1.43 for devtools-2020.3

* Fri Feb 28 2020 Josh Stone <jistone@redhat.com> - 1.41.1-1
- Update to Rust and Cargo 1.41.1.

* Fri Jan 31 2020 Josh Stone <jistone@redhat.com> - 1.41.0-1
- Update to Rust and Cargo 1.41.0.

* Mon Jan 27 2020 Josh Stone <jistone@redhat.com> - 1.40.0-1
- Update to Rust and Cargo 1.40.0.

* Fri Jan 24 2020 Josh Stone <jistone@redhat.com> - 1.39.0-2
- Rename to rust-toolset-1.41 for devtools-2020.2

* Fri Nov 15 2019 Josh Stone <jistone@redhat.com> - 1.39.0-1
- Update to Rust and Cargo 1.39.0.

* Thu Nov 14 2019 Josh Stone <jistone@redhat.com> - 1.38.0-1
- Update to Rust and Cargo 1.38.0.

* Thu Nov 14 2019 Josh Stone <jistone@redhat.com> - 1.37.0-2
- Rename to rust-toolset-1.39 for devtools-2020.1

* Thu Aug 15 2019 Josh Stone <jistone@redhat.com> - 1.37.0-1
- Update to Rust and Cargo 1.37.0.

* Tue Jul 30 2019 Josh Stone <jistone@redhat.com> - 1.36.0-1
- Update to Rust and Cargo 1.36.0.

* Fri Jul 26 2019 Josh Stone <jistone@redhat.com> - 1.35.0-2
- Rename to rust-toolset-1.37 for devtools-2019.4

* Fri May 24 2019 Josh Stone <jistone@redhat.com> - 1.35.0-1
- Update to Rust and Cargo 1.35.0.

* Tue May 14 2019 Josh Stone <jistone@redhat.com> - 1.34.2-1
- Update to 1.34.2 -- fixes CVE-2019-12083.

* Mon May 06 2019 Josh Stone <jistone@redhat.com> - 1.34.1-1
- Update to Rust and Cargo 1.34.1.

* Fri May 03 2019 Josh Stone <jistone@redhat.com> - 1.33.0-1
- Update to Rust and Cargo 1.33.0.

* Fri May 03 2019 Josh Stone <jistone@redhat.com> - 1.32.0-1
- Update to Rust and Cargo 1.32.0.

* Tue Apr 30 2019 Josh Stone <jistone@redhat.com> - 1.31.1-2
- Rename to rust-toolset-1.35 for devtools-2019.3

* Thu Jan 10 2019 Josh Stone <jistone@redhat.com> - 1.31.1-1
- Update to Rust 1.31.1 and Cargo 1.31.0.

* Thu Jan 10 2019 Josh Stone <jistone@redhat.com> - 1.30.1-1
- Update to Rust 1.30.1 and Cargo 1.30.0.

* Tue Jan 08 2019 Josh Stone <jistone@redhat.com> - 1.29.2-3
- Rebuild with LLVM 7.

* Tue Jan 08 2019 Josh Stone <jistone@redhat.com> - 1.29.2-2
- Rename to rust-toolset-1.31 for devtools-2019.1

* Tue Oct 16 2018 Josh Stone <jistone@redhat.com> - 1.29.2-1
- Update to Rust 1.29.2 and Cargo 1.29.0.

* Wed Aug 08 2018 Josh Stone <jistone@redhat.com> - 1.28.0-1
- Update to Rust and Cargo 1.28.0.

* Mon Jul 16 2018 Josh Stone <jistone@redhat.com> - 1.27.1-1
- Update to Rust 1.27.1 and Cargo 1.27.0.

* Wed Jul 11 2018 Josh Stone <jistone@redhat.com> - 1.26.2-2
- Rename to rust-toolset-1.29 for devtools-2018.4

* Mon Jun 04 2018 Josh Stone <jistone@redhat.com> - 1.26.2-1
- Update to Rust 1.26.2

* Thu May 31 2018 Josh Stone <jistone@redhat.com> - 1.26.1-1
- Update to Rust 1.26.1

* Tue May 22 2018 Josh Stone <jistone@redhat.com> - 1.26.0-1
- Update to Rust and Cargo 1.26.0

* Tue Apr 03 2018 Josh Stone <jistone@redhat.com> - 1.25.0-1
- Update to rust-1.25.0 and cargo-0.26.0

* Thu Feb 22 2018 Josh Stone <jistone@redhat.com> - 1.24.0-1
- Update to rust-1.24.0 and cargo-0.25.0
- Obsolete the old -dockerfiles subpackage

* Tue Feb 20 2018 Josh Stone <jistone@redhat.com> - 1.23.0-2
- Add the %%enable_rusttoolset7 macro to the runtime subpackage.

* Tue Jan 16 2018 Josh Stone <jistone@redhat.com> - 1.23.0-1
- Update to rust-1.23.0 and cargo-0.24.0

* Wed Dec 13 2017 Josh Stone <jistone@redhat.com> - 1.22.1-1
- Update to rust-1.22.1 and cargo-0.23.0
- (rhbz 1521195) remove dockerfiles

* Wed Oct 04 2017 Josh Stone <jistone@redhat.com> - 1.20.0-4
- Update dockerfiles

* Tue Sep 19 2017 Josh Stone <jistone@redhat.com> - 1.20.0-3
- Update dockerfiles

* Mon Sep 11 2017 Josh Stone <jistone@redhat.com> - 1.20.0-2
- Update to cargo-0.21.1

* Wed Sep 06 2017 Josh Stone <jistone@redhat.com> - 1.20.0-1
- Update to rust-1.20.0 and cargo-0.21.0

* Wed Aug 09 2017 Tom Stellard <tstellar@redhat.com> - 1.19.0-3
- Add dockerfiles

* Wed Aug 09 2017 Tom Stellard <tstellar@redhat.com> - 1.19.0-2
- Add stub dockerfiles sub-package

* Mon Jul 24 2017 Josh Stone <jistone@redhat.com> - 1.19.0-1
- Update to rust-1.19.0 and cargo-0.20.0

* Thu Jun 15 2017 Josh Stone <jistone@redhat.com> - 1.18.0-2
- Update to cargo-0.19.0

* Thu Jun 15 2017 Josh Stone <jistone@redhat.com> - 1.18.0-1
- Update to rust-1.18.0

* Thu Jun 01 2017 Josh Stone <jistone@redhat.com> - 1.17.0-1
- Update to the new SCL name.
- Require exact rust and cargo versions.
